# Base Widget

```dart
FlutterMap(
    mapController: _mapController,
    options: MapOptions(),
    children: [],
    nonRotatedChildren: [],
);
```

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th><select></select></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><code>options</code> (<code>MapOptions</code>)</td><td></td><td>Configure options that don't directly affect the appearance of the map, such as starting location and maximum zoom limit.</td><td><a href="/pages/hdjYVPOiUqi0pBJkU7i4">/pages/hdjYVPOiUqi0pBJkU7i4</a></td></tr><tr><td><code>mapController</code></td><td></td><td>Attach a controller object to control the map programatically, including panning and zooming.</td><td><a href="/pages/UW2gppPcXFfE46FRhWT6">/pages/UW2gppPcXFfE46FRhWT6</a></td></tr><tr><td><code>children</code></td><td></td><td>Takes a <code>List</code> of <code>Widgets</code> (usually a dedicated 'layer') to display on the map, such as tile layers or polygon layers,</td><td><a href="/pages/63IvGUCNywE4aNVza8cr">/pages/63IvGUCNywE4aNVza8cr</a></td></tr><tr><td><code>nonRotatedChildren</code></td><td></td><td>Similar to <code>children</code>, but these don't rotate or move with the other layers.</td><td></td></tr></tbody></table>

## Placement Recommendations

It is recommended to make the map as large as possible, to allow it to display a lot of useful information easily.

As such, we recommend using a depth-based layout (eg. using `Stack`s) instead of a flat-based layout (eg. using `Column`s). The following 3rd party packages might help with creating a modern design:

* <https://pub.dev/packages/backdrop>
* <https://pub.dev/packages/sliding_up_panel>
* <https://pub.dev/packages/material_floating_search_bar_2>

If you must restrict the widget's size, you won't find a `height` or `width` property. Instead, use a `SizedBox` or `Column`/`Row` & `Expanded`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v4/usage/basics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
